package main

import (
	"net"

	"gitlab.okta-solutions.com/mashroom/backend/common/generic/addr"
	"gitlab.okta-solutions.com/mashroom/backend/common/generic/grpc"
	"gitlab.okta-solutions.com/mashroom/backend/common/generic/log"
	"gitlab.okta-solutions.com/mashroom/backend/gateway/impl"
)

func main() {
	if listener, err := net.Listen("tcp", addr.Grpc); err != nil {
		panic(err)
	} else {
		grpcServer, err := grpc.NewServer("gateway")
		if err != nil {
			log.Fatalln(err)
		}

		// healthServer := version.NewHealthServer()
		// health.RegisterHealthServiceServer(grpcServer, healthServer)

		go impl.Serve(addr.HTTP)

		log.Infoln("gateway started")
		log.Fatalln(grpcServer.Serve(listener))
	}
}
