package connections

import (
	account "gitlab.okta-solutions.com/mashroom/backend/account/api"
	address "gitlab.okta-solutions.com/mashroom/backend/address/api"
	auth "gitlab.okta-solutions.com/mashroom/backend/auth/api"
	cardpayment "gitlab.okta-solutions.com/mashroom/backend/cardpayment/api"
	"gitlab.okta-solutions.com/mashroom/backend/common/generic/env"
	"gitlab.okta-solutions.com/mashroom/backend/common/generic/grpc"
	contract "gitlab.okta-solutions.com/mashroom/backend/contract/api"
	document "gitlab.okta-solutions.com/mashroom/backend/document/api"
	extras "gitlab.okta-solutions.com/mashroom/backend/extras/api"
	geo "gitlab.okta-solutions.com/mashroom/backend/geo/api"
	invitation "gitlab.okta-solutions.com/mashroom/backend/invitation/api"
	maintenance "gitlab.okta-solutions.com/mashroom/backend/maintenance/api"
	messaging "gitlab.okta-solutions.com/mashroom/backend/messaging/api"
	notification "gitlab.okta-solutions.com/mashroom/backend/notification/api"
	oauth "gitlab.okta-solutions.com/mashroom/backend/oauth/api"
	offer "gitlab.okta-solutions.com/mashroom/backend/offer/api"
	payment "gitlab.okta-solutions.com/mashroom/backend/payment/api"
	property "gitlab.okta-solutions.com/mashroom/backend/property/api"
	rightmove "gitlab.okta-solutions.com/mashroom/backend/rightmove/api"
	signature "gitlab.okta-solutions.com/mashroom/backend/signature/api"
	tokenio "gitlab.okta-solutions.com/mashroom/backend/tokenio/api"
	twilio "gitlab.okta-solutions.com/mashroom/backend/twilio/api"
	zoopla "gitlab.okta-solutions.com/mashroom/backend/zoopla/api"
)

var SiteURL = env.ResolveString("SITE_URL", "staging.env.mashroom.com")

var AccountServiceURL = env.ResolveString("ACCOUNT_SERVICE_URL", "mashroom-account:10000")
var AccountService = account.NewAccountServiceClient(grpc.Dial(AccountServiceURL, "Account"))

var AuthServiceURL = env.ResolveString("AUTH_SERVICE_URL", "mashroom-auth:10000")
var AuthService = auth.NewAuthServiceClient(grpc.Dial(AuthServiceURL, "Auth"))

var ContractServiceURL = env.ResolveString("CONTRACT_SERVICE_URL", "mashroom-contract:10000")
var ContractService = contract.NewContractServiceClient(grpc.Dial(ContractServiceURL, "Contract"))

var InvitationServiceURL = env.ResolveString("INVITATION_SERVICE_URL", "mashroom-invitation:10000")
var InvitationService = invitation.NewInvitationServiceClient(grpc.Dial(InvitationServiceURL, "Invitation"))

var MessagingServiceURL = env.ResolveString("MESSAGING_SERVICE_URL", "mashroom-messaging:10000")
var MessagingService = messaging.NewMessagingServiceClient(grpc.Dial(MessagingServiceURL, "Messaging"))

var OfferServiceURL = env.ResolveString("OFFER_SERVICE_URL", "mashroom-offer:10000")
var OfferService = offer.NewOfferServiceClient(grpc.Dial(OfferServiceURL, "Offer"))

var PropertyServiceURL = env.ResolveString("PROPERTY_SERVICE_URL", "mashroom-property:10000")
var PropertyService = property.NewPropertyServiceClient(grpc.Dial(PropertyServiceURL, "Property"))

// var VerificationServiceUrl = env.ResolveString("VERIFICATION_SERVICE_URL", "mashroom-verification:10000")
// var VerificationService = verification.NewVerificationServiceClient(grpc.Dial(VerificationServiceUrl, "Verification"))

var AddressServiceURL = env.ResolveString("ADDRESS_SERVICE_URL", "mashroom-address:10000")
var AddressService = address.NewAddressServiceClient(grpc.Dial(AddressServiceURL, "Address"))

var GeoServiceURL = env.ResolveString("GEO_SERVICE_URL", "mashroom-geo:10000")
var GeoService = geo.NewGeoServiceClient(grpc.Dial(GeoServiceURL, "Geo"))

var SignatureServiceURL = env.ResolveString("SIGNATURE_SERVICE_URL", "mashroom-signature:10000")
var SignatureService = signature.NewSignatureServiceClient(grpc.Dial(SignatureServiceURL, "Signature"))

var OauthServiceURL = env.ResolveString("OAUTH_SERVICE_URL", "mashroom-oauth:10000")
var OauthService = oauth.NewOAuthServiceClient(grpc.Dial(OauthServiceURL, "Oauth"))

var DocumentServiceURL = env.ResolveString("DOCUMENT_SERVICE_URL", "mashroom-document:10000")
var DocumentService = document.NewDocumentServiceClient(grpc.Dial(DocumentServiceURL, "Document"))

var ExtrasServiceURL = env.ResolveString("EXTRAS_SERVICE_URL", "mashroom-extras:10000")
var ExtrasService = extras.NewExtrasServiceClient(grpc.Dial(ExtrasServiceURL, "Extras"))

var PaymentServiceURL = env.ResolveString("PAYMENT_SERVICE_URL", "mashroom-payment:10000")
var PaymentService = payment.NewPaymentServiceClient(grpc.Dial(PaymentServiceURL, "Payment"))

var CardPaymentServiceURL = env.ResolveString("CARDPAYMENT_SERVICE_URL", "mashroom-cardpayment:10000")
var CardPaymentService = cardpayment.NewCardpaymentServiceClient(grpc.Dial(CardPaymentServiceURL, "Cardpayment"))

var RightmoveServiceURL = env.ResolveString("RIGHTMOVE_SERVICE_URL", "mashroom-rightmove:10000")
var RightmoveService = rightmove.NewRightmoveServiceClient(grpc.Dial(RightmoveServiceURL, "Rightmove"))

var ZooplaServiceURL = env.ResolveString("ZOOPLA_SERVICE_URL", "mashroom-zoopla:10000")
var ZooplaService = zoopla.NewZooplaServiceClient(grpc.Dial(ZooplaServiceURL, "Zoopla"))

var MaintenanceServiceURL = env.ResolveString("MAINTENANCE_SERVICE_URL", "mashroom-maintenance:10000")
var MaintenanceService = maintenance.NewMaintenanceServiceClient(grpc.Dial(MaintenanceServiceURL, "Maintenance"))

var TwilioServiceURL = env.ResolveString("TWILIO_SERVICE_URL", "mashroom-twilio:10000")
var TwilioService = twilio.NewTwilioServiceClient(grpc.Dial(TwilioServiceURL, "Twilio"))

var NotificationServiceURL = env.ResolveString("NOTIFICATION_SERVICE_URL", "mashroom-notification:10000")
var NotificationService = notification.NewNotificationServiceClient(grpc.Dial(NotificationServiceURL, "Notification"))

var TokenioServiceURL = env.ResolveString("TOKENIO_SERVICE_URL", "mashroom-tokenio:10000")
var TokenioService = tokenio.NewTokenioServiceClient(grpc.Dial(TokenioServiceURL, "Tokenio"))
